import { execaCommand } from "execa";
import { readFileSafe } from "./readFileSafe.js";
async function readPackageData() {
  return JSON.parse(
    await readFileSafe("./package.json", "{}")
  );
}
async function removeDependencies(packageNames, existing = {}, flags = "") {
  const present = packageNames.filter((packageName) => packageName in existing);
  if (present.length) {
    await execaCommand(
      `pnpm remove ${present.join(" ")}${flags ? ` ${flags}` : ""}`
    );
  }
}
export {
  readPackageData,
  removeDependencies
};
//# sourceMappingURL=packages.js.map