import { Options } from '../shared/types.js';
import 'zod';
import '../shared/codes.js';

/**
 * Creates a replace-in-file replacement for JoshuaKGoldberg/... matches,
 * keeping repository names not being migrated (e.g. for GitHub actions).
 */
declare const createJoshuaKGoldbergReplacement: (options: Pick<Options, "owner" | "repository">) => [RegExp, ToCallback];

export { createJoshuaKGoldbergReplacement };
